Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79863 - Playlist addition broken / confusing with SMB /mnt points because of locale
Summary: Playlist addition broken / confusing with SMB /mnt points because of locale
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 16:48 UTC by Shawn Walker
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-27 19:32:41 UTC


Attachments (Terms of Use)

Description Shawn Walker 2002-12-17 16:48:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When adding files to XMMS playlist from mounted SMB shares XMMS's file browsing
window behaves bizarrely.

If you double click on a directory to go into it, it showes files like this in
the left pane:

directory_im_in/filename_1
directory_im_in/filename_2
directory_im_in/filename_3
directory_im_in/filename_4

Instead of like this:
filename_1
filename_2
filename_3
filename_4

Not only is this ugly, but as you try to navigate up and down in the directory
structure on the mounted smb share, (in my case /mnt/somesmbshare) it starts
doing really bizarre things with the file dialog. You just have to see it for
yourself.

This behavior doesn't happen if I start XMMS like so:
LANG=C;xmms

So I'm guessing there's either some bizarre Locale issue with XMMS file dialogs
or with gnome2 itself when dealing with SMB shares for whatever reason.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See description


Expected Results:  File navigation and addition should not change / remain
useable regardless of locale.

Additional info:

Comment 1 Colin Walters 2004-09-27 19:32:41 UTC
Moved upstream here:
http://bugs.xmms.org/show_bug.cgi?id=1919


Note You need to log in before you can comment on or make changes to this bug.